import numpy


def find_hiding_spots(maze):
    bushes = numpy.argwhere(maze == "E")
    return [tuple(b) for b in bushes]


def oracle_sensor(maze, paths, probs):
    """Finds the best hiding spot given the probabilistic paths."""
    # TODO: Finish this oracle which selects the best sensor placement

    spots = find_hiding_spots(maze)
    visibility = numpy.full(len(spots), 0)

    # TODO: add up the probabilities that each sensor location will
    # intersect each path.
    for (prob, path) in zip(probs, paths):
        pass

    best = numpy.argmax(visibility)
    return visibility[best], spots[best]
